<template>
    <div class="box-check">
        <vuex-toggle :checked="online" @change="onChange">
            <template v-slot:off-label>
                <p class="text-Online" >
                    Admin: {{ online_label }}
                </p>
            </template>
            <template v-slot:on-label><span></span></template>
        </vuex-toggle>
    </div>
</template>

<script>
    import { mapGetters, mapActions} from 'vuex';

	export default {
		name: "UserOnline",
        data(){
		    return {
		    	temp_value: true
            }
        },
        watch: {
        },
        computed: {
			...mapGetters('auth', [
				'online'
            ]),
            online_label(){
				return this.online ? this.$t('ui.online') : this.$t('ui.offline');
            }
        },
        methods: {
			...mapActions('auth', [
				'setOnline'
            ]),
            onChange(val){
				this.setOnline(val);
            }
        }
	}
</script>

<style scoped>

</style>
